/* Program merges CPS 1984, 1989, 1993, 1997 data into a 
single file to be merged with inequality data */

libname a 'd:\research\fedreview';

data a.junk;
set a.cpsoct84 a.cpsoct89 a.cpsoct93 a.cpsoct97;
run;

/* Industries */

proc sort data=a.junk;
by year consind;
run;
proc univariate data=a.junk noprint;
var compusew;
by year consind;
output out = a.int mean = comprate n = obs;
weight wght;
run;

data a.junk1;
set a.junk;
if nohs = 1;
run;
proc sort data=a.junk1;
by year consind;
run;
proc univariate data=a.junk1 noprint;
var compusew;
by year consind;
output out = a.int1 mean = cmprted1 n = obsed1;
weight wght;
run;

data a.junk2;
set a.junk;
if somehs = 1;
run;
proc sort data=a.junk2;
by year consind;
run;
proc univariate data=a.junk2 noprint;
var compusew;
by year consind;
output out = a.int2 mean = cmprted2 n = obsed2;
weight wght;
run;

data a.junk3;
set a.junk;
if hs = 1;
run;
proc sort data=a.junk3;
by year consind;
run;
proc univariate data=a.junk3 noprint;
var compusew;
by year consind;
output out = a.int3 mean = cmprted3 n = obsed3;
weight wght;
run;

data a.junk4;
set a.junk;
if somecoll = 1;
run;
proc sort data=a.junk4;
by year consind;
run;
proc univariate data=a.junk4 noprint;
var compusew;
by year consind;
output out = a.int4 mean = cmprted4 n = obsed4;
weight wght;
run;

data a.junk5;
set a.junk;
if coll = 1;
run;
proc sort data=a.junk5;
by year consind;
run;
proc univariate data=a.junk5 noprint;
var compusew;
by year consind;
output out = a.int5 mean = cmprted5 n = obsed5;
weight wght;
run;

proc sort data=a.int;
by year consind;
run;
proc sort data=a.int1;
by year consind;
run;
proc sort data=a.int2;
by year consind;
run;
proc sort data=a.int3;
by year consind;
run;
proc sort data=a.int4;
by year consind;
run;
proc sort data=a.int5;
by year consind;
run;

data a.compind;
merge a.int a.int1 a.int2 a.int3 a.int4 a.int5;
by year consind;
run;

