/* Program merges inequality, residual inequality, computer usage,
and education files to create indus and indusres */


libname a 'd:\research\fedreview';

data a.int;
set a.indineq;
if educcat = .;
run;
data a.int;
set a.int;
drop educcat;
run;

data a.int1;
set a.indineq;
if educcat = 1;
run;
data a.int1;
set a.int1;
rename p90 = p90ed1;
rename p75 = p75ed1;
rename p50 = p50ed1;
rename p25 = p25ed1;
rename p10 = p10ed1;
rename lhrwage = mnlwged1;
rename vlhrwage = vlwged1;
rename obs = ineqobs1;
run;
data a.int1;
set a.int1;
drop educcat;
run;

data a.int2;
set a.indineq;
if educcat = 2;
run;
data a.int2;
set a.int2;
rename p90 = p90ed2;
rename p75 = p75ed2;
rename p50 = p50ed2;
rename p25 = p25ed2;
rename p10 = p10ed2;
rename lhrwage = mnlwged2;
rename vlhrwage = vlwged2;
rename obs = ineqobs2;
run;
data a.int2;
set a.int2;
drop educcat;
run;

data a.int3;
set a.indineq;
if educcat = 3;
run;
data a.int3;
set a.int3;
rename p90 = p90ed3;
rename p75 = p75ed3;
rename p50 = p50ed3;
rename p25 = p25ed3;
rename p10 = p10ed3;
rename lhrwage = mnlwged3;
rename vlhrwage = vlwged3;
rename obs = ineqobs3;
run;
data a.int3;
set a.int3;
drop educcat;
run;

data a.int4;
set a.indineq;
if educcat = 4;
run;
data a.int4;
set a.int4;
rename p90 = p90ed4;
rename p75 = p75ed4;
rename p50 = p50ed4;
rename p25 = p25ed4;
rename p10 = p10ed4;
rename lhrwage = mnlwged4;
rename vlhrwage = vlwged4;
rename obs = ineqobs4;
run;
data a.int4;
set a.int4;
drop educcat;
run;

data a.int5;
set a.indineq;
if educcat = 5;
run;
data a.int5;
set a.int5;
rename p90 = p90ed5;
rename p75 = p75ed5;
rename p50 = p50ed5;
rename p25 = p25ed5;
rename p10 = p10ed5;
rename lhrwage = mnlwged5;
rename vlhrwage = vlwged5;
rename obs = ineqobs5;
run;
data a.int5;
set a.int5;
drop educcat;
run;
proc sort data=a.int;
by year consind;
run;
proc sort data=a.int1;
by year consind;
run;
proc sort data=a.int2;
by year consind;
run;
proc sort data=a.int3;
by year consind;
run;
proc sort data=a.int4;
by year consind;
run;
proc sort data=a.int5;
by year consind;
run;
data a.int6;
merge a.int a.int1 a.int2 a.int3 a.int4 a.int5;
by year consind;
run;


proc sort data=a.indeduc;
by year consind;
run;
proc sort data=a.int6;
by year consind;
run;
data a.indus;
merge a.int6 a.indeduc;
by year consind;
run;
proc sort data=a.compind;
by year consind;
run;
proc sort data=a.indus;
by year consind;
run;
data a.indus;
merge a.indus a.compind;
by year consind;
run;


proc sort data=a.indeduc;
by year consind;
run;
proc sort data=a.indineqr;
by year consind;
run;
data a.indusres;
merge a.indineqr a.indeduc;
by year consind;
run;
proc sort data=a.compind;
by year consind;
run;
proc sort data=a.indusres;
by year consind;
run;
data a.indusres;
merge a.indusres a.compind;
by year consind;
run;



